import type { FullTextSearchOptions, SortDirection } from '../models/global-types';
export declare function sortValues<T>(data: T[], sortDirection: SortDirection): T[];
export declare function sortByKey<T>(data: T[], key: string, sortDirection: SortDirection): T[];
export declare function distinct<T>(data: T[]): T[];
export declare function getDistinct<T, K extends keyof T>(data: T[], property: K): T[K][];
export declare function getDistictByKey<T>(data: T[], key: string): T[];
export declare function groupBy<T, K>(data: T[], getKey: (item: T) => K): Map<K, T[]>;
export declare function groupByAsArray<T, K>(data: T[], getKey: (item: T) => K): {
    key: K;
    values: T[];
}[];
export declare function sum(items: Array<any>, key: string): any;
export declare function createCSV(data: any[]): string | null;
export declare function fullTextSearch<T>(options: FullTextSearchOptions<T>): void;
